Reporting/Revenue Reports
/report/:id
The saved set-up of one custom revenue report (fields, filters and date range), not its results
GET
/
v1
/
report
/
{id}
/report/:id
curl --request GET \
--url https://api.tagdeliver.com/v1/report/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"id": 4101,
"title": "Weekly revenue by site",
"created_by": 2087,
"organisation_id": 312,
"fields": [
"date",
"publisher",
"device",
"ad_impressions",
"net_revenue"
],
"date_range": "seven_days",
"custom_date": null,
"filters": {
"device": {
"matches": [
"mobile",
"tablet"
],
"type": "include"
},
"geo": {
"matches": [
"GB"
],
"type": "exclude"
},
"tag": {
"matches": [],
"type": "include"
},
"uid": {
"matches": [
18620,
18655
],
"type": "include"
}
},
"order": [
{
"field": "net_revenue",
"sort": "DESC"
}
],
"limit": 500,
"created_on": "2026-09-14 09:32:10",
"table_state": {
"columns": {
"orderedFields": [
"date",
"publisher",
"device",
"ad_impressions",
"net_revenue"
]
},
"sorting": {
"sortModel": [
{
"field": "net_revenue",
"sort": "desc"
}
]
},
"pagination": {
"pageSize": 50,
"page": 0
}
},
"temporary": false
},
"success": true
}Was this page helpful?
⌘I
/report/:id
curl --request GET \
--url https://api.tagdeliver.com/v1/report/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"id": 4101,
"title": "Weekly revenue by site",
"created_by": 2087,
"organisation_id": 312,
"fields": [
"date",
"publisher",
"device",
"ad_impressions",
"net_revenue"
],
"date_range": "seven_days",
"custom_date": null,
"filters": {
"device": {
"matches": [
"mobile",
"tablet"
],
"type": "include"
},
"geo": {
"matches": [
"GB"
],
"type": "exclude"
},
"tag": {
"matches": [],
"type": "include"
},
"uid": {
"matches": [
18620,
18655
],
"type": "include"
}
},
"order": [
{
"field": "net_revenue",
"sort": "DESC"
}
],
"limit": 500,
"created_on": "2026-09-14 09:32:10",
"table_state": {
"columns": {
"orderedFields": [
"date",
"publisher",
"device",
"ad_impressions",
"net_revenue"
]
},
"sorting": {
"sortModel": [
{
"field": "net_revenue",
"sort": "desc"
}
]
},
"pagination": {
"pageSize": 50,
"page": 0
}
},
"temporary": false
},
"success": true
}